Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IBlockingInteractionRequestContext

All Superinterfaces
  IBaseRequestContext, IBlockingInteractionBaseRequestContext, IGetMarkupBaseRequestContext, IMutableRegistrationContext, IRegistrationContext, IRuntimeContext, IUserContext, Serializable

    public interface IBlockingInteractionRequestContext

extends IBlockingInteractionBaseRequestContext

A request context that represents input data for the "performBlockingInteraction" operation. This also provides methods for custom data transfer which is applicable only in the WLP Consumer/Producer combination.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`Object` | `getInteractionRequestState()` Returns a custom data object that is being sent to the Producer as part of the "performBlockingInteraction" request.
`PortletStateChange` | `getPortletStateChange()` Returns portlet state change flag.
`void` | `setInteractionRequestState(InteractionRequestState interactionRequestState)` Sets the supplied `interactionRequestState` object as a custom data that is being sent to the Producer in the "performBlockingInteraction" request.
`void` | `setInteractionRequestState(XmlPayload xmlPayload)` Sets the supplied `xmlPayload` object as a custom data that will be sent to the Producer in the "performBlockingInteraction" request.

Methods inherited from interface com.bea.wsrp.model.markup.IBlockingInteractionBaseRequestContext
`addFormParameter, forceGetMarkupCall, getFormParameters, getInteractionState, getUploadedData, setFormParameter, setInteractionState, setUploadedData, shouldForceGetMarkupCall`

Methods inherited from interface com.bea.wsrp.model.markup.IGetMarkupBaseRequestContext
`addLocale, addMarkupCharacterSet, addMimeType, getLocales, getMarkupCharacterSets, getMimeTypes, getMode, getNavigationalState, getUserAgent, getWindowState, isSecureClientCommunicationOn, isValidateTagOn, setMarkupCharacterSet, setMode, setNavigationalState, setUserAgent, setValidateTagOn, setWindowState`

Methods inherited from interface com.bea.wsrp.model.markup.IBaseRequestContext
`addMimeHeader, getHttpServletRequest, getHttpServletResponse, getMimeHeaders, getMimeHeaders, getPortletContext, getProducerInfo, getServletContext, removeMimeHeader, setMimeHeader`

Methods inherited from interface com.bea.wsrp.model.IMutableRegistrationContext
`setRegistrationHandle, setRegistrationState`

Methods inherited from interface com.bea.wsrp.model.IRegistrationContext
`getRegistrationHandle, getRegistrationState`

Methods inherited from interface com.bea.wsrp.model.markup.IRuntimeContext
`getNamespacePrefix, getPortletInstanceKey, getSessionID, getTemplates, getUserAuthentication`

Methods inherited from interface com.bea.wsrp.model.markup.IUserContext
`getUserContextKey, getUserProfile`

Method Detail

### getInteractionRequestState

    Object getInteractionRequestState()

  Returns a custom data object that is being sent to the Producer as part of the "performBlockingInteraction" request. The returned object type can be `XmlPayload` or `InteractionRequestState`.

  Returns
    a custom data object being sent to a producer.

### setInteractionRequestState

    void setInteractionRequestState(XmlPayload xmlPayload)

  Sets the supplied `xmlPayload` object as a custom data that will be sent to the Producer in the "performBlockingInteraction" request.

  Parameters
    `xmlPayload` - a new custom data object.
  See Also
    `XmlPayload`

### setInteractionRequestState

    void setInteractionRequestState(InteractionRequestState interactionRequestState)

  Sets the supplied `interactionRequestState` object as a custom data that is being sent to the Producer in the "performBlockingInteraction" request.

  Parameters
    `interactionRequestState` - a new custom data object.
  See Also
    `SimpleStateHolder`

### getPortletStateChange

    PortletStateChange getPortletStateChange()

  Returns portlet state change flag.

  Returns
    state change flag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved